<!-- Based on fast/repaint/selection-change-in-iframe-with-relative-parent.html -->
<!DOCTYPE html>
<style>
.container {
    position: relative;
    top: 180px;
}
</style>

<!--
    This test checks that the selection in an iframe in a relative positioned container
    is correctly invalidated.
    We should be able to manually select all the text. The invalidation rects should
    be positioned correctly and encompass all the lines.
-->
<div class="container">
    <iframe src="../../../fast/repaint/resources/selection-change-in-iframe-with-relative-parent-iframe.html"></iframe>
</div>

<script src="resources/paint-invalidation-test.js" type="text/javascript"></script>
<script>
if (window.testRunner)
    testRunner.dumpAsTextWithPixelResults();

window.expectedPaintInvalidationObjects = [
    "LayoutBlockFlow HTML",
    "LayoutBlockFlow BODY",
    "LayoutText #text",
    "InlineTextBox 'Foo'",
    "LayoutBR BR",
    "InlineTextBox '\n'",
    "LayoutBR BR",
    "InlineTextBox '\n'",
    "LayoutText #text",
    "InlineTextBox 'Bar'",
    "LayoutBR BR",
    "InlineTextBox '\n'",
    "LayoutBR BR",
    "InlineTextBox '\n'",
    "LayoutText #text",
    "InlineTextBox 'Bazz'",
    "LayoutBR BR",
    "InlineTextBox '\n'",
];
function paintInvalidationTest()
{
    var iframe = document.getElementsByTagName("iframe")[0];
    iframe.contentWindow.getSelection().selectAllChildren(iframe.contentDocument.body);
}
window.addEventListener("load", runPaintInvalidationTest, false);
</script>
